Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.txn
Class SynchronizedTransactions.RollbackOnlyTransaction

    java.lang.Object
      org.modeshape.jcr.txn.SynchronizedTransactions.RollbackOnlyTransaction

All Implemented Interfaces:
  SessionEnvironment.MonitorFactory, Transactions.Transaction

Enclosing class:
  SynchronizedTransactions

    protected class SynchronizedTransactions.RollbackOnlyTransaction

extends Object
implements Transactions.Transaction

Constructor Summary
`SynchronizedTransactions.RollbackOnlyTransaction()`

Method Summary
`void` | `commit()` Commit the transaction currently associated with the calling thread.
`SessionEnvironment.Monitor` | `createMonitor()` Get a monitor that should be used to capture what has changed during this transaction.
`void` | `rollback()` Rolls back the transaction currently associated with the calling thread.
`void` | `uponCompletion(Transactions.TransactionFunction function)` Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedTransactions.RollbackOnlyTransaction

    public SynchronizedTransactions.RollbackOnlyTransaction()

Method Detail

### createMonitor

    public SessionEnvironment.Monitor createMonitor()

  Description copied from interface: `Transactions.Transaction`
  Get a monitor that should be used to capture what has changed during this transaction.

  Specified by:
    `createMonitor` in interface `SessionEnvironment.MonitorFactory`
  Specified by:
    `createMonitor` in interface `Transactions.Transaction`
  Returns:
    the monitor, or null if there is no monitoring

### commit

    public void commit()

  Description copied from interface: `Transactions.Transaction`
  Commit the transaction currently associated with the calling thread.

  Specified by:
    `commit` in interface `Transactions.Transaction`

### rollback

    public void rollback()

  Description copied from interface: `Transactions.Transaction`
  Rolls back the transaction currently associated with the calling thread.

  Specified by:
    `rollback` in interface `Transactions.Transaction`

### uponCompletion

    public void uponCompletion(Transactions.TransactionFunction function)

  Description copied from interface: `Transactions.Transaction`
  Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.

  Specified by:
    `uponCompletion` in interface `Transactions.Transaction`
  Parameters:
    `function` - the completion function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.